/**
 * 使用流程：
 *
 * 1. 呼叫程式建構子，menu = new Menu();。
 *
 * 2. 加入第一層頁面選項內容，addItem(idItem, text, link, hint, linktarget);。
 * 
 * 3. 加入第二層頁面選項內容，addSubItem(idItem, text, link, hint, linktarget);。
 * 
 * 4. 把產生的原始碼寫到網頁，menu.showMenu();。
 * 
 **/


menu = new Menu();

menu.addItem("item1", "門口網站集", null,  null, null);
menu.addItem("item2", "學校網站集", null,  null, null);
menu.addItem("item3", "書局網站集", null,  null, null);
menu.addItem("item4", "其它網站集", null, null, null);
menu.addItem("item5", "留言版", "http://www.tkcna.tku.edu.tw/~jack/gbook/gbtable.php", null, null);
menu.addItem("item6", "討論區", "http://www.tkcna.tku.edu.tw/~jack/gbook/gbtable.php", null, null);
menu.addItem("item7", "本站測試頁面", null, null, null);
menu.addItem("item8", "返回範例主頁", "sample.htm", null, null);


menu.addSubItem("item1", "奇摩Yahoo", "http://www.kimo.com.tw", null, null);
menu.addSubItem("item1", "蕃薯藤", "http://www.yam.com.tw", null, null);
menu.addSubItem("item1", "新浪網", "http://www.sina.com.tw", null, null);
menu.addSubItem("item1", "PChome", "http://www.pchome.com.tw", null, null);
menu.addSubItem("item1", "MSN.com", "http://www.msn.com.tw", null, null);

menu.addSubItem("item2", "台灣大學", "http://www.ntu.edu.tw", null, null);
menu.addSubItem("item2", "清華大學", "http://www.nthu.edu.tw", null, null);
menu.addSubItem("item2", "交通大學", "http://www.nctu.edu.tw", null, null);
menu.addSubItem("item2", "政治大學", "http://www.nccu.edu.tw", null, null);
menu.addSubItem("item2", "成功大學", "http://www.ncku.edu.tw", null, null);
menu.addSubItem("item2", "中正大學", "http://www.ccu.edu.tw", null, null);
menu.addSubItem("item2", "中央大學", "http://www.ncu.edu.tw", null, null);
menu.addSubItem("item2", "淡江大學", "http://www.tku.edu.tw", null, null);

menu.addSubItem("item3", "三民書局", "http://www.sanmin.com.tw/", null, null);
menu.addSubItem("item3", "天瓏書局", "http://www.tenlong.com.tw/", null, null);
menu.addSubItem("item3", "何嘉仁書局", "http://www.hessbooks.com.tw/book/default.asp", null, null);
menu.addSubItem("item3", "金石堂書局", null, null, null);
menu.addSubItem("item3", "誠品書局", "http://www.eslitebooks.com/", null, null);

menu.addSubItem("item4", "台灣歐萊禮", "http://www.oreilly.com.tw", null, null);
menu.addSubItem("item4", "Java in Sleepless", "http://www.oreilly.com.tw/sleepless/index.htm", null, null);


menu.addSubItem("item7", "測試首頁1", "sample1.htm", null, null);
menu.addSubItem("item7", "測試頁面2", "sample2.htm", null, null);
menu.addSubItem("item7", "測試頁面3", "sample3.htm", null, null);
menu.addSubItem("item7", "測試頁面4", "sample4.htm", null, null);
menu.addSubItem("item7", "測試頁面5", "sample5.htm", null, null);



menu.showMenu();
